### Function

# Foundry ServiceAction

#### Declaration

    void
    (* FoundryServiceAction) (
      FoundryService* self,
      const char* action_name,
      GVariant* param
    )

#### Description

No description available.

#### Parameters

`self`

  Type: `FoundryService`

  No description available.

  The data is owned by the caller of the function.

`action_name`

  Type: `const char*`

  No description available.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`param`

  Type: `GVariant`

  No description available.

  The data is owned by the caller of the function.